## turbosearch 0.1.34

=== requirements.txt ===
bs4>=0.0.1
requests>=2.23.0
requests[socks]
colorama

## turbosearch 0.1.31

=== debian/changelog ===
turbosearch (0.1.31-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 02 Aug 2023 05:59:45 -0300

turbosearch (0.1.31-1) unstable; urgency=medium

  * Initial release. (Closes: #1028573)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 07 Jul 2023 19:12:04 -0300

=== debian/control ===
Source: turbosearch
Section: net
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               jdupes,
               python3-all,
               python3-colorama,
               python3-requests,
               python3-setuptools,
               python3-bs4,
Standards-Version: 4.6.2
Homepage: https://github.com/helviojunior/turbosearch
Vcs-Browser: https://salsa.debian.org/python-team/packages/turbosearch
Vcs-Git: https://salsa.debian.org/python-team/packages/turbosearch.git

Package: turbosearch
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: wordlist url search tool
 TurboSearch is a Python script, brute-force style, that searches text files
 for keywords and returns lines containing those keywords.
 .
 It is designed to help find relevant information in large and complex files
 such as log files or configuration files.
 .
 The program uses regular expressions to find lines that match the specified
 keywords and returns the line number and file name.
 .
 The tool also supports multi-threading, allowing simultaneous connections,
 speeding up the search process.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with python3  --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -- --install-args="--install-lib=/usr/share/turbosearch"
	install -m 755 -p -T debian/turbosearch.py debian/turbosearch/usr/bin/turbosearch
#unnecessary for turbosearch to work
	rm -f debian/turbosearch/usr/bin/turbosearch_stats

execute_after_dh_link:
#Fix duplicate-files
	jdupes -rl debian/turbosearch/usr/share/doc/turbosearch/

## turbosearch 0.1.34

=== debian/changelog ===
turbosearch (0.1.34-1) unstable; urgency=medium

  * New upstream version 0.1.34
  * debian/control: Bumped Standards-Version to 4.7.2
  * debian/rules: Removed unnecessary files
  * debian/patches: fixed invalid escape sequence

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 10 Apr 2025 21:01:56 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-requests,
                python3-setuptools,
                python3-bs4,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/helviojunior/turbosearch
 Vcs-Browser: https://salsa.debian.org/python-team/packages/turbosearch
 Vcs-Git: https://salsa.debian.org/python-team/packages/turbosearch.git

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 	install -m 755 -p -T debian/turbosearch.py debian/turbosearch/usr/bin/turbosearch
 #unnecessary for turbosearch to work
 	rm -f debian/turbosearch/usr/bin/turbosearch_stats
+	rm -f debian/turbosearch/usr/requirements.txt
+	rm -rf debian/turbosearch/usr/share/turbosearch/tests/
 
 execute_after_dh_link:
 #Fix duplicate-files

=== debian/watch ===
version=4
https://github.com/helviojunior/turbosearch/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
